# AcceptContractRequest

PATH: /aurora.core.apiengine.contractrequestsv1.ContractRequestService/AcceptContractRequest

Endpoint: POST /aurora.core.apiengine.contractrequestsv1.ContractRequestService/AcceptContractRequest
Version: v1.23.0
Security: Bearer

## Request fields (application/json):

  - `comment` (string)

  - `display_id` (string, required)

  - `side` (string, required)
    Enum: "BORROW", "LOAN"

## Response 200 fields (application/json):

  - `collateral_rate` (string, required)
    Collateral rate of the contract

  - `comment` (string)
    Comment given on Accept, Decline or Cancel that is echoed back

  - `contract_display_id` (string)
    Human readable Id of contract resulting for this contract request action

  - `contract_id` (string)
    Id of contract resulting for this contract request action

  - `counterparty_id` (string, required)
    Counterparty ID

  - `display_id` (string, required)
    Display id (persistent contract request id inside Aurora system)

  - `instrument` (object, required)
    Instruments can be identified by their CUSIP or Ticker SymbolFields: cusip, ticker, name

  - `instrument.cusip` (string, required)
    CUSIP

  - `instrument.name` (string, required)
    Security name

  - `instrument.ticker` (string, required)
    Ticker

  - `is_pre_established` (boolean, required)
    Pre-established contract flag

  - `quantity` (string, required)
    Quantity of shares

  - `rate_details` (object, required)
    Fields: rate, benchmark

  - `rate_details.benchmark` (string)
    possible rate benchmarks
    Enum: "OBFR", "EFFR", "SOFR", "BGCR", "TGCR", "IORB"

  - `rate_details.rate` (string, required)

  - `request_id` (string, required)
    User populated id of the request this response is for

  - `rounding_rule` (string, required)
    Enum: "NO_ROUNDING", "UP_TO_NEAREST_0_DOT_01", "UP_TO_NEAREST_0_DOT_05", "UP_TO_NEAREST_0_DOT_10", "UP_TO_NEAREST_0_DOT_25", "UP_TO_NEAREST_1_DOT_0"

  - `settlement_type` (string, required)
    Enum: "NSCC", "BILATERAL"

  - `side` (string, required)
    Enum: "BORROW", "LOAN"

  - `status` (string, required)
    possible states in the lifecycle of a contract request
    Enum: "PENDING", "ACCEPTED", "REJECTED", "EXPIRED", "CANCELED", "AUTOMATCHED"


